mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SHA1 System.Runtime.InteropServices.ComVisible(true)

The hash is used as a unique value of fixed size representing a large amount of data. Hashes of two sets of data should match if and only if the corresponding data also matches. Small changes to the data result in large unpredictable changes in the hash.

This is a purely managed implementation of that does not wrap CAPI.

The hash size for the algorithm is 160 bits.

Computes the hash for the input data using the managed library.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Routes data written to the object into the hash algorithm for computing the hash.

  The input data. The offset into the byte array from which to begin using data. The number of bytes in the array to use as data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Returns the computed hash value after all data has been written to the object.

  The computed hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Initializes an instance of .